package domain

type AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku struct {
	/*
	   通用限购信息，-1为不限制，默认为不限制     */
	LimitInfo *AlibabaHmMarketingItemdiscountQueryitemsLimitInfo `json:"limit_info,omitempty" `

	/*
	   淘宝item和shop的对应关系， k-itemId, v-shopId     */
	ItemShopRelation *string `json:"item_shop_relation,omitempty" `

	/*
	   <优惠明细,分为单位>优惠类型为[减价],则代表直降金额[如700,表示商品直降7元];优惠券类型为[一口价],则代表一口价[如700,表示商品一口价为7元];优惠券类型为[打折],则代表折扣[如700,表示打7折]     */
	Value *int64 `json:"value,omitempty" `

	/*
	   商品名称     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   商品的skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   积分值     */
	ConditionNum *int64 `json:"condition_num,omitempty" `

	/*
	   积分类型     */
	ConditionType *int64 `json:"condition_type,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku) SetLimitInfo(v AlibabaHmMarketingItemdiscountQueryitemsLimitInfo) *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku {
	s.LimitInfo = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku) SetItemShopRelation(v string) *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku {
	s.ItemShopRelation = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku) SetValue(v int64) *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku {
	s.Value = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku) SetSkuName(v string) *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku {
	s.SkuName = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku) SetSkuCode(v string) *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku) SetConditionNum(v int64) *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku {
	s.ConditionNum = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku) SetConditionType(v int64) *AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku {
	s.ConditionType = &v
	return s
}
